Forum:Inventor
Thema:VBA: Event beim Drucken ansto��en
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Darkrondo

Beiträge: 100 / 0

Inventor 2019

Hallo Andreas,

an die Möglichkeit, einen eigenen Button zu erstellen hatte ich auch schon gedacht. Aber anders wäre es mir lieber, denn ich habe die Erfahrung gemacht dass Benutzeroberflächen sehr gerne mal verloren gehen :-( Aber ich merke mir das trotzdem vor, falls ich es anders nicht hinbekomme.

Was das "Event lauschen" betrifft:

Sollte nicht eigentlich nicht dieser VBA-Code, den ich anfangs gepostet habe, schon funktionsfähig sein? Was fehlt mir hier noch? Könnte das evtl jemand ausprobieren?

__________________________________________________________________________
Private WithEvents m_InputEvents As UserInputEvents

Private Sub CommandButton1_Click()
    Set m_InputEvents = ThisApplication.CommandManager.UserInputEvents
End Sub

Private Sub m_InputEvents_OnActivateCommand(ByVal CommandName As String, ByVal Context As NameValueMap)
    If ThisApplication.ActiveDocumentType = kDrawingDocumentObject Then
        If CommandName = "AppFilePrintCmd" Then
            Dim oDrawDoc As DrawingDocument
            Set oDrawDoc = ThisApplication.ActiveDocument
            MsgBox ("Hey Ho")
            'oDrawDoc.PropertySets.Item("Inventor User Defined Properties").Item("PrintDate").Value = Format(Now, "H:M:S")
            oDrawDoc.Update
        End If
    End If
End Sub
____________________________________________________________

Danke, Georg